# 充电桩代理服务器

## 项目简介
本项目是一个用于处理充电桩通信协议的代理服务器，支持多种命令解析和转发。

## 特性
- 支持01、02、03、07、08、09、0A、1A、1F、20、19、21、22、23、24、25、26、27、30充电桩通信命令
- 实时日志记录
- MQTT消息发布
- 灵活的配置选项

## 环境要求
- Python 3.7+
- paho-mqtt

## 安装依赖
```bash
pip install -r requirements.txt
```

## 配置
可以在 `main.py` 中自定义服务器配置：
```python
server = ChargingPileProxyServer(
    listen_host='0.0.0.0',  # 监听地址
    listen_port=52461,      # 监听端口
    forward_host='139.9.209.227',  # 转发目标地址
    forward_port=52461      # 转发目标端口
)
```

## 运行
```bash
python 
```

## 日志
日志将记录在 `charging_pile_proxy.log` 文件中，并同时输出到控制台。

## 许可证
[待添加]

## 作者
[赵子逸/玄驹易维]