import requests
import json

url = "http://localhost:8083/send_billing_template"
data = {
    "pile_id": "0317665611360637",
    "billing_template": [
        {"time_minutes": 7, "price_per_minute": 1254, "total_seconds": 3500, "total_cost": 3500},
        {"time_minutes": 7, "price_per_minute": 1016, "total_seconds": 3500, "total_cost": 3500},
        {"time_minutes": 8, "price_per_minute": 736, "total_seconds": 3500, "total_cost": 3500},
        {"time_minutes": 11, "price_per_minute": 1254, "total_seconds": 3500, "total_cost": 3500},
        {"time_minutes": 13, "price_per_minute": 1016, "total_seconds": 3500, "total_cost": 3500},
        {"time_minutes": 17, "price_per_minute": 736, "total_seconds": 3500, "total_cost": 3500},
        {"time_minutes": 23, "price_per_minute": 1016, "total_seconds": 3500, "total_cost": 3500}
    ]
}

try:
    headers = {"Content-Type": "application/json"}
    response = requests.post(url, headers=headers, json=data, timeout=5)
    print("状态码:", response.status_code)
    print("响应内容:", response.json())

    if response.status_code == 200 and response.json().get("status") == "success":
        print("计费模版下发成功")
    else:
        print("计费模版下发失败:", response.json().get("message", "未知错误"))
except requests.exceptions.ConnectionError as e:
    print(f"无法连接到服务器: {e}")
    print("请检查服务器是否运行，以及端口 8082 是否可访问。")
except requests.exceptions.Timeout:
    print("请求超时，请检查网络连接或服务器状态。")
except requests.exceptions.RequestException as e:
    print(f"请求失败: {e}")
except json.JSONDecodeError:
    print("服务器响应不是有效的 JSON 格式，请检查服务器日志。")