import taosrest
import logging

logging.basicConfig(
    filename='test_tdengine.log',
    level=logging.INFO,
    format='%(asctime)s - %(levelname)s - %(message)s',
    encoding='utf-8'
)

try:
    # 使用 taosrest 模块连接
    conn = taosrest.connect(
        url="http://123.6.102.119:6041",
        user="readonly_user",
        password="Aassword123",
        database="antsev"
    )
    cursor = conn.cursor()
    logging.info("成功连接到TDengine")

    cursor.execute("SELECT SERVER_VERSION()")
    version = cursor.fetchone()
    logging.info(f"TDengine 服务器版本: {version[0]}")

    cursor.execute("SELECT * FROM antsev.charge_jiuxing LIMIT 10")
    row = cursor.fetchone()
    logging.info(f"查询结果: {row}")

    cursor.close()
    conn.close()
except Exception as e:
    logging.error(f"连接错误: {str(e)}")
    raise